For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate invoice
          • GETGet invoice
          • PUTUpdate invoice
          • DELDelete invoice
          • GETSend invoice
          • GETGet invoice attachment
          • DELDelete invoice attachment
          • GETGet next invoice number
          • GETList invoices by paypoint
          • GETList invoices by organization
          • GETExport invoices by paypoint
          • GETExport invoices by org
          • GETGet invoice PDF
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay In endpointsInvoices

List invoices by paypoint

|View as Markdown|Open in Claude|
GET
/Query/invoices/:entry
GET
/api/Query/invoices/:entry
$curl -G https://api-sandbox.payabli.com/api/Query/invoices/8cfec329267 \
> -H "requestToken: <apiKey>" \
> -d fromRecord=251 \
> -d limitRecord=0 \
> -d sortBy=desc(field_name)
1{
2 "Records": [
3 {
4 "invoiceId": 3674,
5 "customerId": 1323,
6 "paypointId": 10,
7 "invoiceNumber": "QA-1709680125",
8 "invoiceDate": "2025-03-05",
9 "invoiceDueDate": "2025-03-05",
10 "invoiceSentDate": "2025-03-05",
11 "invoiceEndDate": "2025-03-05",
12 "lastPaymentDate": null,
13 "createdAt": "2024-03-05T18:08:45Z",
14 "invoiceStatus": 1,
15 "invoiceType": 0,
16 "frequency": "onetime",
17 "paymentTerms": "NET30",
18 "termsConditions": null,
19 "notes": null,
20 "invoiceAmount": 50,
21 "invoicePaidAmount": 0,
22 "purchaseOrder": null,
23 "firstName": "Amirah",
24 "lastName": "Tan",
25 "company": null,
26 "shippingAddress1": "1234 Rainier Ave",
27 "shippingAddress2": "Apt 567",
28 "shippingCity": "Seattle",
29 "shippingState": "WA",
30 "shippingZip": "98101",
31 "shippingFromZip": "",
32 "shippingCountry": "US",
33 "shippingEmail": "amirah.tan@example.com",
34 "shippingPhone": "",
35 "summaryCommodityCode": null,
36 "items": [
37 {
38 "itemCost": 50,
39 "itemDescription": "service",
40 "itemProductName": "Internet",
41 "itemQty": 1
42 }
43 ],
44 "Customer": {
45 "AdditionalData": {
46 "key1": "value",
47 "key2": "value",
48 "key3": "value"
49 },
50 "BillingPhone": "1234567890",
51 "customerId": 1323
52 },
53 "paylinkId": "3674-cf15b881-f276-4b69-bdc8-841b2d123XXXXXX",
54 "scheduledOptions": null,
55 "PaypointLegalname": "Emerald City LLC",
56 "PaypointDbaname": "Emerald City Trading",
57 "PaypointEntryname": "47a30009s",
58 "ParentOrgId": 123,
59 "ParentOrgName": "Emerald Enterprises",
60 "AdditionalData": null,
61 "DocumentsRef": null,
62 "externalPaypointID": "seattletrade01-10",
63 "pageIdentifier": null,
64 "tax": 0,
65 "discount": 0,
66 "freightAmount": 0,
67 "dutyAmount": 0,
68 "billEvents": [
69 {
70 "description": "Invoice created",
71 "eventTime": "2024-03-05T23:08:45Z",
72 "refData": "00-802fa578504a7af6f3dd890a3802f7ef-61b4bedXXXX1234"
73 }
74 ]
75 }
76 ],
77 "Summary": {
78 "pageIdentifier": "null",
79 "pageSize": 20,
80 "totalAmount": 77.22,
81 "totalNetAmount": 77.22,
82 "totalPages": 2,
83 "totalRecords": 2
84 }
85}

Returns a list of invoices for an entrypoint. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Was this page helpful?
Previous

Get next invoice number

Next

List invoices by organization

Authentication

requestTokenstring
API Key authentication via header

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. List of field names accepted: - `invoiceDate` (gt, ge, lt, le, eq, ne) - `dueDate` (gt, ge, lt, le, eq, ne) - `sentDate` (gt, ge, lt, le, eq, ne) - `frequency` (in, nin,ne, eq) - `invoiceType` (eq, ne) - `payTerms` (in, nin, eq, ne) - `paypointId` (ne, eq) - `totalAmount` (gt, ge, lt, le, eq, ne) - `paidAmount` (gt, ge, lt, le, eq, ne) - `status` (in, nin, eq, ne) - `invoiceNumber` (ct, nct, eq, ne) - `purchaseOrder` (ct, nct, eq, ne) - `itemProductCode` (ct, nct) - `itemDescription` (ct, nct) - `customerFirstname` (ct, nct, eq, ne) - `customerLastname` (ct, nct, eq, ne) - `customerName` (ct, nct) - `customerId` (eq, ne) - `customerNumber` (ct, nct, eq, ne) - `customerCompanyname` (ct, nct, eq, ne) - `customerAddress` (ct, nct, eq, ne) - `customerCity` (ct, nct, eq, ne) - `customerZip` (ct, nct, eq, ne) - `customerState` (ct, nct, eq, ne) - `customerCountry` (ct, nct, eq, ne) - `customerPhone` (ct, nct, eq, ne) - `customerEmail` (ct, nct, eq, ne) - `customerShippingAddress` (ct, nct, eq, ne) - `customerShippingCity` (ct, nct, eq, ne) - `customerShippingZip` (ct, nct, eq, ne) - `customerShippingState` (ct, nct, eq, ne) - `customerShippingCountry` (ct, nct, eq, ne) - `orgId` (eq) - `paylinkId` (ne, eq) - `paypointLegal` (ne, eq, ct, nct) - `paypointDba` (ne, eq, ct, nct) - `orgName` (ne, eq, ct, nct) - `additional-xxx` (ne, eq, ct, nct) where xxx is the additional field name List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array - nin => not inside array List of parameters accepted: - limitRecord : max number of records for query (default="20", "0" or negative value for all) - fromRecord : initial record in query Example: totalAmount(gt)=20 return all records with totalAmount greater than 20.00
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success. Fields marked optional may return null if not set.

Recordslist of objects
Summaryobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error

Collection of field names, conditions, and values used to filter the query

See Filters and Conditions Reference for help.

List of field names accepted:

  • invoiceDate (gt, ge, lt, le, eq, ne)
  • dueDate (gt, ge, lt, le, eq, ne)
  • sentDate (gt, ge, lt, le, eq, ne)
  • frequency (in, nin,ne, eq)
  • invoiceType (eq, ne)
  • payTerms (in, nin, eq, ne)
  • paypointId (ne, eq)
  • totalAmount (gt, ge, lt, le, eq, ne)
  • paidAmount (gt, ge, lt, le, eq, ne)
  • status (in, nin, eq, ne)
  • invoiceNumber (ct, nct, eq, ne)
  • purchaseOrder (ct, nct, eq, ne)
  • itemProductCode (ct, nct)
  • itemDescription (ct, nct)
  • customerFirstname (ct, nct, eq, ne)
  • customerLastname (ct, nct, eq, ne)
  • customerName (ct, nct)
  • customerId (eq, ne)
  • customerNumber (ct, nct, eq, ne)
  • customerCompanyname (ct, nct, eq, ne)
  • customerAddress (ct, nct, eq, ne)
  • customerCity (ct, nct, eq, ne)
  • customerZip (ct, nct, eq, ne)
  • customerState (ct, nct, eq, ne)
  • customerCountry (ct, nct, eq, ne)
  • customerPhone (ct, nct, eq, ne)
  • customerEmail (ct, nct, eq, ne)
  • customerShippingAddress (ct, nct, eq, ne)
  • customerShippingCity (ct, nct, eq, ne)
  • customerShippingZip (ct, nct, eq, ne)
  • customerShippingState (ct, nct, eq, ne)
  • customerShippingCountry (ct, nct, eq, ne)
  • orgId (eq)
  • paylinkId (ne, eq)
  • paypointLegal (ne, eq, ct, nct)
  • paypointDba (ne, eq, ct, nct)
  • orgName (ne, eq, ct, nct)
  • additional-xxx (ne, eq, ct, nct) where xxx is the additional field name

List of comparison accepted - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array
  • nin => not inside array

List of parameters accepted:

  • limitRecord : max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord : initial record in query

Example: totalAmount(gt)=20 return all records with totalAmount greater than 20.00